From c104bec6ed93cea06f4d5ff0f9150490f159dfaa Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Sat, 29 Jan 2022 11:28:45 -0500
Subject: [PATCH v4 1/2] Support pg_attribute_aligned in MSVC

---
 configure       | 2 ++
 src/include/c.h | 4 ++++
 2 files changed, 6 insertions(+)

diff --git a/configure b/configure
index 3f2aea0d7d..e9ab674f38 100755
--- a/configure
+++ b/configure
@@ -17862,6 +17862,8 @@ else
 /* This must match the corresponding code in c.h: */
 #if defined(__GNUC__) || defined(__SUNPRO_C) || defined(__IBMC__)
 #define pg_attribute_aligned(a) __attribute__((aligned(a)))
+#elif defined(_MSC_VER)
+#define pg_attribute_aligned(a) __declspec(align(a))
 #endif
 typedef __int128 int128a
 #if defined(pg_attribute_aligned)
diff --git a/src/include/c.h b/src/include/c.h
index 4f16e589b3..0441b031b4 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -179,6 +179,10 @@
 #define pg_attribute_noreturn()
 #endif
 
+#if defined(_MSC_VER)
+#define pg_attribute_aligned(a) __declspec(align(a))
+#endif
+
 /*
  * Use "pg_attribute_always_inline" in place of "inline" for functions that
  * we wish to force inlining of, even when the compiler's heuristics would
-- 
2.17.1

